// AJAX-helpers:
class HAjax
{
   static ShowApiError(xhr, ajaxOptions, thrownError: string) {
      alert( HOps.NullSubst(
         HHttp.GetStatusMessage(xhr.status),
         HOps.NullSubst(thrownError, 'API-method error.')))
   }
} // HAjax
